Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: ptchown

Interfaces

### Description:

helper function for grantpt(3), changes ownship and permissions of pseudotty.

### Interfaces:

ptchown_domtrans( domain )

##### Summary

Execute a domain transition to run ptchown.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

ptchown_exec( domain )

##### Summary

Execute ptchown in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ptchown_run( domain , role )

##### Summary

Execute ptchown in the ptchown domain, and allow the specified role the ptchown domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

Return